Name:           telepathy-phoenix
Version:        0.0.1
Release:        23%{?dist}
Summary:        Echo bot and tester for Telepathy

Group:          Applications/Communications
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/Components
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch1000:      1000-configure.ac-fix-comment.patch
Patch1001:      1001-Explicitely-link-on-Farstream.patch
Patch1002:      1002-Explicitely-link-on-GStreamer.patch
Patch1003:      1003-Use-gstreamer-1.0.patch
Patch1004:      1004-Depend-on-farstream-0.2.patch
Patch1005:      1005-update-the-sending-state-of-the-video-stream.patch
Patch1006:      1006-port-to-python-3.patch
Patch1007:      1007-fix-incompatible-pointer-type.patch

BuildRequires:  dbus-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  telepathy-farstream-devel >= 0.1.0
BuildRequires:  gstreamer1-devel
BuildRequires:  libxslt
BuildRequires:  python
BuildRequires:  gtk-doc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

Requires:       telepathy-filesystem

%description
Phoenix is a echo bot for the telepathy framework re-using the standard
Telepathy infrastructure. Mission control is used for the account
management, standard Telepathy clients are used for the echo
implementation.

%prep
%autosetup -p1

%build
autoreconf -i
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc COPYING README NEWS ChangeLog
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/%{name}

%changelog
* Sat Jan 18 2025 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 03 2024 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-20
- fix incompatible pointer type

* Sat Jan 20 2024 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 23 2023 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jul 26 2022 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 29 2022 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 04 2021 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Binutils_Mass_Rebuild

* Thu Nov 14 2019 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-11
- port to python 3

* Tue Sep 05 2017 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 19 2016 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-6
- update the sending state of the video stream

* Mon Jul 18 2016 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jun 21 2015 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-2
- Rebuilt for newer libfarstream

* Wed Oct 16 2013 Fabrice Bellet <fabrice@bellet.info> - 0.0.1-1
- Initial package for Fedora
- Add a few upstream patches (depend on farstream-0.2, gstreamer-1.0)
